This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 71598 - up2date-2.9.40-7.x.9.i386 - SSL.WantReadError
up2date-2.9.40-7.x.9.i386 - SSL.WantReadError
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: pyOpenSSL (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 11:16 EDT by Carsten Clementschitsch
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-12 15:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carsten Clementschitsch 2002-08-15 11:16:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
When starting up2date, you always get an SSL.WantReadError

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start up2date

	

Additional info:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 764, in ?
    main()
  File "/usr/sbin/up2date", line 450, in main
    up2dateAuth.updateLoginInfo()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 110, in updateLoginInfo
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 99, in login
    loginInfo = rpcServer.doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 110, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 123, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 568, in send_http
    response = self._connection.getresponse()
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 103, in
getresponse
    response.begin()
  File "/usr/lib/python2.2/httplib.py", line 119, in begin
    line = self.fp.readline()
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 237, in readline
    data = self._connection.recv(bufsize)
SSL.WantReadError
Comment 1 Adrian Likins 2002-08-19 14:43:48 EDT
moving this to pyOpenssl
Comment 2 Mihai Ibanescu 2002-08-22 10:58:50 EDT
splord, does this still happen with the latest pyOpenSSL from null?
Comment 3 Mihai Ibanescu 2004-04-12 15:48:25 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.